Nucleus(JP)フォーラム

NucleusCMS日本語版ユーザーのためのサポートフォーラムです。疑問が生じたらまずは記事検索をご利用ください。

ログインしていません。

#1 2016-07-16 11:04:49

ピヨピヨbird
メンバー
登録日: 2015-04-05
投稿: 78

公式wikiのコンテンツが古い問題

wikiにログインできないため、
不適切な内容となったものが修正できないでいるようです

・wikiのスキンのリンクについて
http://japan.nucleuscms.org/forum/viewtopic.php?id=7328

・wikiのプラグイン紹介ページのダウンロードリンク先が古い
http://japan.nucleuscms.org/wiki/plugins
からリンクされているページ
http://japan.nucleuscms.org/wiki/plugins:プラグイン名
の個別プラグインの
入手先(ダウンロードリンク)が古いアドレスのまま

オフライン

#2 2016-07-18 12:29:46

藤咲
Administrator
From: 広島
登録日: 2003-11-17
投稿: 1,210
ウェブサイト

Re: 公式wikiのコンテンツが古い問題

とりあえず放置されてた
wikiのスキンのリンクについて
を修正しました。

プラグインごとのリンクはちょっと作業量が膨大ですね…。
リンク切れのPluginについてどうするかっていうのは方策を決めたいところ。簡単なのは案1ですが…。
案1.削除
案2.こういうプラグインがあったよ、というのを残しておく為にURLは記載するが(リンク切れ)と表記
  持っている人へ提供を呼びかける
   ⇒https://github.com/NucleusCMS へ投稿してもらうとか、提供呼びかけ方法について
    何かしらの文書が欲しいかも。

あと、公式ページは生きてるんだけど、最新版はGutHubでPHP5.x対応したものとかを
どう表記するか、とかちょっと考えて作業しないと大変そう…。

項目としてPHP5.x対応状況、っていうのはいるかなとは思うんですが、基本GitHubにあるのは
対応化できてると思えばいいのでしょうか?


藤咲
備忘録とかもろもろ
http://fjsk.tk/

オフライン

#3 2016-07-18 15:44:47

ピヨピヨbird
メンバー
登録日: 2015-04-05
投稿: 78

Re: 公式wikiのコンテンツが古い問題

藤咲 さんの発言:

とりあえず放置されてた
wikiのスキンのリンクについて
を修正しました。

修正ありがとうございました。

藤咲 さんの発言:

項目としてPHP5.x対応状況、っていうのはいるかなとは思うんですが、基本GitHubにあるのは
対応化できてると思えばいいのでしょうか?

phpのリリース日が
php7.0 2015/12/03
php5.6 2014/08/28
php5.5 2013/06/20
php5.4 2012/03/01(参照渡し問題を起こしたバージョン)

GitHub上のリポジトリ一覧に最終コミット日が最後の行に掲載されていて
2014年以降にコミットされているので
php5.4以降に対応してそうな気がします。

オフライン

#4 2016-07-25 22:24:59

yama
Administrator
登録日: 2005-07-07
投稿: 1,243
ウェブサイト

Re: 公式wikiのコンテンツが古い問題

GitHubにあるものは全てPHP5.x対応できてます。PHP7も問題ないはず。

オフライン

#5 2016-09-30 17:04:15

ppyochan
メンバー
登録日: 2008-01-18
投稿: 30
ウェブサイト

Re: 公式wikiのコンテンツが古い問題

新しくトピック立てるほどのことではないのでこちらで報告させてください。

Firefoxだけなのですが、プラグインのページが文字が白くなって
見えなくなってしまっています。

原因はたぶん、wiki.cssの615行目の
.li {
    color:#0000;
    font-weight:normal;
}

で、#000にすれば治るんじゃないかと思います。

Firefox以外のブラウザで見ればいいだけなので、気が向いたら修正をお願いします。


Attachments:
png screenshot.png, Size: 77.45 KiB, Downloads: 64

オフライン

Board footer